# CTConfiguration (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class CTConfiguration

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.table.CTConfiguration

-     public class CTConfiguration
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLUMN_HEADER_LAYOUT_DEFAULT` TODO
    `static int` | `COLUMN_HEADER_LAYOUT_FILL` TODO
    `static int` | `COLUMN_HEADER_LAYOUT_FILL_EQUAL` TODO
    `static int` | `ROW_HEADER_LAYOUT_DEFAULT` TODO
    `static int` | `ROW_HEADER_LAYOUT_FILL` TODO
    `static int` | `STYLE_GRID` TODO
    `static int` | `STYLE_TABLE` TODO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTConfiguration(org.eclipse.swt.widgets.Control parent)` Creates a new table.
    `CTConfiguration(org.eclipse.swt.widgets.Control parent, int style)` Creates a new grid or table.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnHeaderLayout()`
    `org.eclipse.swt.graphics.Font` | `getFont()`
    `int` | `getHorizontalAlignment()`
    `int` | `getRowHeaderLayout()`
    `int` | `getStyle()`
    `boolean` | `isCellSelectionEnabled()`
    `boolean` | `isColumnSelectionEnabled()`
    `boolean` | `isRowSelectionEnabled()`
    `void` | `setCellSelectionEnabled(boolean cellSelectionEnabled)`
    `void` | `setColumnHeaderLayout(int columnHeaderLayout)`
    `void` | `setColumnSelectionEnabled(boolean columnSelectionEnabled)`
    `void` | `setFont(org.eclipse.swt.graphics.Font font)`
    `void` | `setHorizontalAlignment(int horizontalAlignment)`
    `void` | `setRowHeaderLayout(int rowHeaderLayout)`
    `void` | `setRowSelectionEnabled(boolean rowSelectionEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_HEADER_LAYOUT_DEFAULT

          public static final int COLUMN_HEADER_LAYOUT_DEFAULT

      TODO
      See Also:
        Constant Field Values

    - #### COLUMN_HEADER_LAYOUT_FILL_EQUAL

          public static final int COLUMN_HEADER_LAYOUT_FILL_EQUAL

      TODO
      See Also:
        Constant Field Values

    - #### COLUMN_HEADER_LAYOUT_FILL

          public static final int COLUMN_HEADER_LAYOUT_FILL

      TODO
      See Also:
        Constant Field Values

    - #### ROW_HEADER_LAYOUT_DEFAULT

          public static final int ROW_HEADER_LAYOUT_DEFAULT

      TODO
      See Also:
        Constant Field Values

    - #### ROW_HEADER_LAYOUT_FILL

          public static final int ROW_HEADER_LAYOUT_FILL

      TODO
      See Also:
        Constant Field Values

    - #### STYLE_TABLE

          public static final int STYLE_TABLE

      TODO
      See Also:
        Constant Field Values

    - #### STYLE_GRID

          public static final int STYLE_GRID

      TODO
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CTConfiguration

          public CTConfiguration(org.eclipse.swt.widgets.Control parent)

      Creates a new table.
      Parameters:
        `parent` -

    - #### CTConfiguration

          public CTConfiguration(org.eclipse.swt.widgets.Control parent,
                         int style)

      Creates a new grid or table.
      Parameters:
        `parent` -
        `style` -

  - ### Method Detail

    - #### getColumnHeaderLayout

          public int getColumnHeaderLayout()

      Returns:

    - #### getFont

          public org.eclipse.swt.graphics.Font getFont()

      Returns:

    - #### getHorizontalAlignment

          public int getHorizontalAlignment()

      Returns:

    - #### getRowHeaderLayout

          public int getRowHeaderLayout()

      Returns:

    - #### getStyle

          public int getStyle()

      Returns:

    - #### isCellSelectionEnabled

          public boolean isCellSelectionEnabled()

      Returns:

    - #### isColumnSelectionEnabled

          public boolean isColumnSelectionEnabled()

      Returns:

    - #### isRowSelectionEnabled

          public boolean isRowSelectionEnabled()

      Returns:

    - #### setCellSelectionEnabled

          public void setCellSelectionEnabled(boolean cellSelectionEnabled)

      Parameters:
        `cellSelectionEnabled` -

    - #### setColumnHeaderLayout

          public void setColumnHeaderLayout(int columnHeaderLayout)

      Parameters:
        `columnHeaderLayout` -

    - #### setColumnSelectionEnabled

          public void setColumnSelectionEnabled(boolean columnSelectionEnabled)

      Parameters:
        `columnSelectionEnabled` -

    - #### setFont

          public void setFont(org.eclipse.swt.graphics.Font font)

      Parameters:
        `font` -

    - #### setHorizontalAlignment

          public void setHorizontalAlignment(int horizontalAlignment)

      Parameters:
        `horizontalAlignment` -

    - #### setRowHeaderLayout

          public void setRowHeaderLayout(int rowHeaderLayout)

      Parameters:
        `rowHeaderLayout` -

    - #### setRowSelectionEnabled

          public void setRowSelectionEnabled(boolean rowSelectionEnabled)

      Parameters:
        `rowSelectionEnabled` -